package com.ss.android.ugc.aweme.legoImp.task;

import X.04n;
import X.C22428Zd;
import X.C22438Ze;
import X.C25518ec;
import X.C29918li;
import X.C42489Eh;
import X.C42869Ft;
import X.C42909Fx;
import X.C42989Gf;
import X.FLI;
import X.Szd;
import X.TmS;
import android.content.Context;
import android.os.Looper;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.compliance.api.a;
import com.ss.android.ugc.aweme.dmt_integration.AVInitializerImpl;
import com.ss.android.ugc.aweme.services.PerformanceMainServiceImpl;
import java.util.List;

public class BaseOptFirstFrameTask implements C22438Ze {
    static {
        Covode.recordClassIndex(90407);
    }

    public boolean meetTrigger() {
        return true;
    }

    public String prefix() {
        return "task_";
    }

    public boolean serialExecute() {
        return false;
    }

    public int targetProcess() {
        return 1048575;
    }

    public List triggerOtherLegoComponents() {
        return null;
    }

    public C42869Ft triggerType() {
        return C22428Zd.LIZ(this);
    }

    public C42909Fx scenesType() {
        return C42909Fx.DEFAULT;
    }

    public String key() {
        return getClass().getSimpleName();
    }

    public C25518ec type() {
        if (!C29918li.LIZ.LIZ() ? !((Boolean) TmS.LJIJI.getValue()).booleanValue() : !C42489Eh.LIZLLL.LIZIZ() || !C42989Gf.LIZIZ.LIZ()) {
            return C25518ec.BACKGROUND;
        }
        return C25518ec.BOOT_FINISH;
    }

    public void run(Context context) {
        if (Looper.myLooper() == null) {
            Looper.prepare();
        }
        PerformanceMainServiceImpl.createPerformanceMainServicebyMonsterPlugin(false).newAddWikiActivity();
        new 04n(context);
        PerformanceMainServiceImpl.createPerformanceMainServicebyMonsterPlugin(false).preloadPushSettingsManager();
        a.LIZLLL().LIZLLL();
        if (Szd.LIZLLL.LIZIZ()) {
            AVInitializerImpl.LIZ().initAVEnv(FLI.LIZ());
        }
    }
}
